websocket-sharp : WebSocketSharp.Server Namespace

# IServiceHost Interface

Exposes the methods and property for the WebSocket service host.

## Syntax

public interface IServiceHost

## Remarks

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

## Public Properties

| Sweeped | bool . Indicates whether the WebSocket service host closes the connection to a inactive service client.

## Public Methods

BindWebSocket (WebSocketSharp.WebSocket)

> Binds the specified WebSocketSharp.WebSocket.

Broadcast (string)

> Broadcasts the specified string.

Start ()

> Starts the WebSocket service host.

Stop ()

> Stops the WebSocket service host.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### BindWebSocket Method

> Binds the specified WebSocketSharp.WebSocket.

> ## Syntax

> public void BindWebSocket (WebSocketSharp.WebSocket socket)

> #### Parameters

> > socket
> >   An WebSocketSharp.WebSocket to bind.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Broadcast Method

> Broadcasts the specified string.

> ## Syntax

> public void Broadcast (string data)

> #### Parameters

> > data
> >   A string to broadcast.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Start Method

> Starts the WebSocket service host.

> ## Syntax

> public void Start ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Stops the WebSocket service host.

> ## Syntax

> public void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Sweeped Property

> Indicates whether the WebSocket service host closes the connection to a inactive service client.

> ## Syntax

> public bool Sweeped { get; set; }

> #### Value

> > `true` if the WebSocket service host closes the connection to a inactive service client; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581